Folks.SearchView.refresh – folks Reference Manual

# refresh

## Description:

public async void refresh () throws Error

Refresh the view’s results.

Explicitly re-match all the view’s results to ensure matches are up to date. For a normal IndividualAggregator, this is explicitly not necessary, as the view will watch signal emissions from the aggregator and keep itself up to date.

However, for search-only persona stores, which do not support notification of changes to personas, this method is the only way to update the set of matches against the store.

This method should be called whenever an explicit update is needed to the search results, e.g. if the user requests a refresh.

## Exceptions:

GLib.Error | if matching failed

## Since:

0.11.0